ComRaidComRaid Docs
API referenceContacts

Upsert contact

PUT
/contacts/{external_user_id}

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

external_user_id*string

Request Body

application/json
  1. body
name?string
locale?string

Contact Property locale

timezone?string

Contact Property timezone (IANA)

language?string

Contact Property language

country?string

Contact Property country

metadata?
attributes?

Customer-supplied Attributes (not SDK Properties); omitted keys are left unchanged

Response Body

Upserted

application/json
  1. response
contact_id?string
Formatuuid
external_user_id?string
updated_attributes?array<string>

Present when attributes were included in the request

Example Request
curl -X PUT 'https://api.comraid.io/contacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "external_user_id": "string",  "updated_attributes": [    "string"  ]}